%{?nodejs_find_provides_and_requires}

Name:           nodejs-pg-native
Version:        2.2.0
Release:        2%{?dist}
Summary:        High performance native bindings between node.js and PostgreSQL

License:        MIT
URL:            https://www.npmjs.com/package/pg-native
Source0:        https://registry.npmjs.org/pg-native/-/pg-native-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(async)
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(libpq)
BuildRequires:  npm(lodash)
BuildRequires:  npm(okay)
BuildRequires:  npm(pg-types)
BuildRequires:  npm(semver)
BuildRequires:  postgresql-server


%description
High performance native bindings between node.js and PostgreSQL via
libpq with a simple API.


%prep
%autosetup -p 1 -n package
%nodejs_fixdep --remove readable-stream
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/pg-native
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/pg-native
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
# Start a postgres server
pg_ctl initdb -D pg_data -o "-A trust -E utf8"
pg_ctl start -w -D pg_data -l pg_log -o "-k $PWD -p 12345"
createdb -h $PWD -p 12345 test
# Run tests
PGHOST=$PWD PGPORT=12345 PGDATABASE=test %{_bindir}/mocha
# Stop the postgres server
pg_ctl stop -D pg_data


%files
%doc README.md
%{nodejs_sitelib}/pg-native


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar  9 2018 Tom Hughes <tom@compton.nu> - 2.2.0-1
- Initial build of 2.2.0
